"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchCloud = void 0;
const cloud_api_1 = require("@cloudbase/cloud-api");
const tcb_1 = require("./tcb");
const utils_1 = require("./utils");
const defaultOptions = {
    service: 'lowcode',
    version: '2021-01-08',
    timeout: 10000,
    params: {},
};
function fetchCloud(options) {
    const { TENCENTCLOUD_SECRETID, TENCENTCLOUD_SECRETKEY } = tcb_1.tcb.getCloudbaseContext();
    const newOptions = Object.assign({}, defaultOptions, options);
    const service = new cloud_api_1.CloudApiService({
        service: newOptions.service,
        version: newOptions.version,
        credential: {
            secretId: TENCENTCLOUD_SECRETID,
            secretKey: TENCENTCLOUD_SECRETKEY,
        },
        timeout: newOptions.timeout,
    });
    return service.request(options.action, utils_1.capitalizeKey(newOptions.params));
}
exports.fetchCloud = fetchCloud;
