import tcb from '@cloudbase/node-sdk';
/**
 * 数据源生成的云函数入参
 */
export interface ICloudFnParams {
    methodName: string;
    defaultParams: any;
    params: any;
}
/** 环境变量信息 */
export interface IEnvInfo {
    openId?: string;
    appId?: string;
    uid?: string;
    customUserId?: string;
    isAnonymous: boolean;
    /** 数据源名称, 用户在数据源管理中创建的数据源才有该属性 */
    dataSourceName?: string;
    /** 数据源完整名称, 带数据源ID, 为部署后底层(云函数/数据库)使用使用的标志 */
    dataSourceFullName?: string;
    /** 是否为预览环境 */
    isPreview: boolean;
    /** 云开发环境ID */
    envId: string;
}
/** 数据源函数执行的 context */
export interface IFnContext {
    cloudbase: typeof tcb;
    app: tcb.CloudBase;
    auth: ReturnType<tcb.CloudBase['auth']>;
    database: tcb.Database.Db;
    envInfo: IEnvInfo;
    collection?: tcb.Database.CollectionReference;
    /** 数据源请求携带的默认参数 */
    defaultParams: any;
}
/** 数据源函数的参数 */
export declare type IFnParams = Record<string | number, any>;
