/**
 * 将对象的key的首字母转换为大写, 适应 yunapi 的命名风格
 *  { userName: 'xxx', id: 'xxx' } => { UserName: 'xxx', Id: 'xxxx'}
 */
export declare function capitalizeKey(obj: Record<string, any>): Record<string, any>;
interface IDsKeyInfo {
    id: string;
    name: string;
}
/**
 * 获取数据源完整名称, 该名称用于发布后的tcb云函数, 也用于tcb的数据库名称
 * @param ds 数据源关键信息
 * @param isPreview 是否预览
 * @returns 数据源表名
 */
export declare function getDsFullName(ds: IDsKeyInfo, isPreview: boolean): string;
/** 预置的错误对象, 可用该对象抛出自定义错误代码及错误信息 */
export declare class TCBError extends Error {
    code: number;
    constructor(code: number, message: string);
}
export {};
